Bug 225493 - CVE-2007-0555 PostgreSQL arbitrary memory read flaw
CVE-2007-0555 PostgreSQL arbitrary memory read flaw
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: postgresql (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
reported=20070129,source=redhat,impac...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-30 16:50 EST by Josh Bressers
Modified: 2013-07-02 23:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2007-0064
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 13:25:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2007-01-30 16:50:52 EST
An authenticated PostgreSQL user has the ability to crash the database server or
possibly read arbitrary memory for the server process.  This is caused by
insufficient type checking for SQL-language functions.
Comment 1 Josh Bressers 2007-01-30 17:04:21 EST
This flaw also affects RHEL3
Comment 2 Tom Lane 2007-02-04 17:26:28 EST
Note that in RHEL3, the relevant package is rh-postgresql ... we don't ship a plain "postgresql" package in 
that branch, for long-obsolete reasons.
Comment 4 Mark J. Cox (Product Security) 2007-02-05 06:32:23 EST
removing embargo; public at http://www.postgresql.org/support/security.html
Comment 7 Red Hat Bugzilla 2007-02-07 13:25:02 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0064.html

Note You need to log in before you can comment on or make changes to this bug.